#if !defined(AFX_CONVERT1PAGE_H__7BBD5962_10A7_4287_99E4_403DA70A827C__INCLUDED_)
#define AFX_CONVERT1PAGE_H__7BBD5962_10A7_4287_99E4_403DA70A827C__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// Convert1Page.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CConvert1Page dialog

class CConvert1Page : public CPropertyPage
{
	DECLARE_DYNCREATE(CConvert1Page)

// Construction
public:
	CConvert1Page();
	~CConvert1Page();

// Dialog Data
	//{{AFX_DATA(CConvert1Page)
	enum { IDD = IDD_CONVERT1PAGE };
	BOOL	m_Convert1_AddBase;
	BOOL	m_Convert1_AddPointCloud;
	BOOL	m_Convert1_AddUV;
	CString	m_Convert1_BaseThickness;
	CString	m_Convert1_DropElevation;
	BOOL	m_Convert1_DropFaces;
	CString	m_Convert1_EditStretchX;
	CString	m_Convert1_EditStretchY;
	BOOL	m_Convert1_FlagStretchX;
	BOOL	m_Convert1_FlagStretchY;
	CString	m_Convert1_MaxX;
	CString	m_Convert1_MaxY;
	CString	m_Convert1_MaxZ;
	CString	m_Convert1_MeshEdges;
	CString	m_Convert1_MeshTriangles;
	CString	m_Convert1_MeshVertices;
	CString	m_Convert1_MinX;
	CString	m_Convert1_MinY;
	CString	m_Convert1_MinZ;
	CString	m_Convert1_NewSizeX;
	CString	m_Convert1_NewSizeY;
	CString	m_Convert1_SizeX;
	CString	m_Convert1_SizeY;
	CString	m_Convert1_SizeZ;
	CString	m_Convert1_VertCount;
	CString	m_Convert1_XCount;
	CString	m_Convert1_XSpacing;
	CString	m_Convert1_YCount;
	CString	m_Convert1_YSpacing;
	int		m_Convert1_ConvertGroup;
	BOOL	m_Convert1_WriteXYZ;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CConvert1Page)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CConvert1Page)
	virtual BOOL OnInitDialog();
	afx_msg void OnConvert1Getsize();
	afx_msg void OnConvert1Calculate();
	afx_msg void OnConvert1Flagstretchx();
	afx_msg void OnConvert1Flagstretchy();
	afx_msg void OnConvert1Keeporiginal();
	afx_msg void OnConvert1Landscape();
	afx_msg void OnConvert1Mesh();
	afx_msg void OnConvert1Addpointcloud();
	afx_msg void OnConvert1Dropfaces();
	afx_msg void OnConvert1Addbase();
	afx_msg void OnConvert1Adduv();
	afx_msg void OnConvert1Writexyz();
	afx_msg void OnConvert1Meshtolandscape();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CONVERT1PAGE_H__7BBD5962_10A7_4287_99E4_403DA70A827C__INCLUDED_)
